Bug 29480 - Info über UMC-Server neustart beim Ändern des SSL Zertifikats
Info über UMC-Server neustart beim Ändern des SSL Zertifikats
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Basic settings
UCS 3.1
Other Linux
: P4 enhancement (vote)
: UCS 3.2
Assigned To: Florian Best
Dirk Wiesenthal
: interim-2
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-30 09:30 CET by Florian Best
Modified: 2013-11-19 06:41 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Usability
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2012-11-30 09:30:10 CET
Beim Ändern des SSL-Zertifikats im UMC System-setup wird/muss am Ende der UMC-Server neugestartet werden.

Dies hat zur Folge, dass die Progressbar bei 99% stehen bleibt.
Hier wäre es sinnvoll, den UMC-Server erst neuzustarten, wenn der Modulprozess geschlossen wird. In dieser Zeit sollte es, wie beim system-setup-boot, einige requests im Abstand von X Sekunden gemacht werden, damit die Session nicht ausversehen automatisch ausläuft und ein weiterarbeiten in der UMC möglich ist.
Außerdem sollte es ein kleines popup / info geben, dass der UMC-Server nach beenden der Session neugestartet wird.
Comment 1 Florian Best univentionstaff 2012-11-30 09:32:13 CET
Also spätestens beim Modul-Exit sollte der UMC-Server neugestartet werden. Am besten schon sofort, da in der Zeit weitere Anmeldungen blockiert sind.
Comment 2 Stefan Gohmann univentionstaff 2013-04-03 07:57:06 CEST
Duplikat von Bug #29958?
Comment 3 Alexander Kläser univentionstaff 2013-04-05 13:59:04 CEST
Ich denke der Restart is soweit OK. Nach dem Neustart erscheint ja auch wieder ein Login-Dialog.

(In reply to comment #2)
> Duplikat von Bug #29958?

→ Nein
Comment 4 Florian Best univentionstaff 2013-07-10 12:25:05 CEST
The actual behavior is OK. The progressbar does not stop at 99% anymore instead it displays the login dialog. After relogin everything works again. The Server restart should is done immediately because it would block every new connection and if the session would time out the UMC server should be restarted by hand.
Comment 5 Dirk Wiesenthal univentionstaff 2013-07-31 13:49:40 CEST
Ich finde nicht, dass das Verhalten in Ordnung ist. Nach dem Setzen eines neuen Zertifikats wird kein Neustart angeboten. Ich finde, das sollte passieren.

Denn während der Zertifikatserstellung wird apache2 _nicht_ neugestartet (/usr/share/univention-updater/disable-apache2-umc). D.h. Apache liefert so lange das alte Zertifikat aus, bis endlich mal jemand von sich aus auf die Idee kommt, alles neu zu starten.

Ich lasse mit mir darüber verhandeln, ob das hier nicht "in einem Abwasch" mit Bug#28081 erledigt werden könnte/sollte (dann einen Hinweis dort anbringen, dass nicht nur UMC-(Web-)Server das braucht, sondern auch Apache2). Aber ein WORKSFORME finde ich zu wenig.
Comment 6 Florian Best univentionstaff 2013-08-29 09:53:49 CEST
You are right, after changing SSL certificate settings the dialog to restart UMC + Apache will now be displayed. In appliance mode the server will be restarted in any case. 

univention-system-setup (7.0.34-1)
Comment 7 Dirk Wiesenthal univentionstaff 2013-09-23 12:50:15 CEST
Changeset: Ok
Changelog: Ok
Comment 8 Stefan Gohmann univentionstaff 2013-11-19 06:41:26 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".